GET
/v2/providers/fms/apis/api/v1/vendors/{vendorId}/requested/{requestedId}2609170000[Instant Discount Coupon] Check request status
KRTW
# 01
簡介
[Instant Discount Coupon] Check request status
# 02
詳細內容
Available buyer market: Korea
You can check the result of your request sent to Instant discount coupon API through the requested Id.
Using the requested Id returned by Coupon creation, cancellation, item creation and item cancellation API calls, you can check your request result(Done/fail).
路徑
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/requested/{requestedId}
範例端點
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00000001/requested/649102321051192483# 03
Path 參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | A vendor ID An unique code Coupang assigns to a vendor e.g.) A00012345 |
| requestedId* | number | An Id to run a query on results
|
# 04
回應內容
回應訊息
| Name | Type | Description | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | Server response code
| ||||||||||
| message | string | Server response message
| ||||||||||
| httpStatus | integer | HTTP Status Code(the same as server response code)
| ||||||||||
| httpStatusMessage | string | HTTP Status Message (the same as server response message)
| ||||||||||
| errorMessage | string | Statuses other than HTTP Status 200 contain a message on why server failed.
| ||||||||||
| data | object | Data on done/fail
| ||||||||||
| success data.success | boolean | Success true or false | ||||||||||
| content data.content | object | Request Id to run a query on the status
| ||||||||||
| couponId data.content.couponId | integer | A coupon ID(Wing's coupon number) e.g.) 70, 85, 778 | ||||||||||
| requestedId data.content.requestedId | string | A requested Id to run a query on the status e.g.) 1542675975663862164 | ||||||||||
| status data.content.status | string | Processing status
| ||||||||||
| succeeded data.content.succeeded | integer | The No. of "succeeded"
| ||||||||||
| total data.content.total | integer | The No. of "requested"(*A total number of vendor item IDs for coupon item creation)
| ||||||||||
| type data.content.type | string | Request type
| ||||||||||
| failed data.content.failed | integer | The No. of "failed"
| ||||||||||
| failedVendorItems data.content.failedVendorItems | object[] | Details on failed vendor items
| ||||||||||
| reason data.content.failedVendorItems[].reason | string | Reason for failure
| ||||||||||
| vendorItemId data.content.failedVendorItems[].vendorItemId | integer | The failed vendor item Id
| ||||||||||
| Pagination data.Pagination | string | No paging
|
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": {
"couponId": 778,
"requestedId": "4080133932843441",
"type": "COUPON_PUBLISH",
"status": "DONE",
"total": 1,
"succeeded": 1,
"failed": 0,
"failedVendorItems": []
},
"pagination": null
}
}# 05
錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (Check the requested parameter) | Check an access to vendor information. | Check that a vendor Id is correctly entered. |